NOVA-NOVNCPROXY(1)

NAME
nova-novncproxy - Server for the OpenStack Compute VNC console proxy service.

SYNOPSIS

        nova-novncproxy [<options>...]

DESCRIPTION

nova-novncproxy is a server daemon that serves the Nova noVNC Websocket Proxy service, which provides a websocket proxy that is compatible with OpenStack Nova noVNC consoles.

OPTIONS

General options

    --config-dir DIR
        Path to a config directory to pull *.conf files from. This file set is sorted, so as to provide a predictable parse order if individual options are over-ridden. The set is parsed after the file(s) specified via previous --config-file, arguments hence over-ridden options in the directory take precedence. This option must be set from the command-line.

    --config-file PATH
        Path to a config file to use. Multiple config files can be specified, with values in later files taking precedence. Defaults to None. This option must be set from the command-line.

    --debug, -d
        Set the logging level to DEBUG instead of the default INFO level.

    --log-config-append PATH, --log-config PATH, --log_config PATH
        The name of a logging configuration file. This file is appended to any existing logging configuration files. For details about logging configuration files, see the Python logging module documentation. Note that when logging configuration files are used then all logging configuration is set in the configuration file and other logging configuration options are ignored (for example, log-date-format).

    --log-date-format DATE_FORMAT
        Defines the format string for %(asctime)s in log records. Default: None . This option is ignored if log_config_append is set.

    --log-dir LOG_DIR, --logdir LOG_DIR
        (Optional) The base directory used for relative log_file paths. This option is ignored if log_config_append is set.

    --log-file PATH, --logfile PATH
        (Optional) Name of log file to send logging output to. If no default is set, logging will go to stderr as defined by use_stderr. This option is ignored if log_config_append is set.

    --nodebug
        The inverse of --debug.

    --nouse-journal
        The inverse of --use-journal.

    --nouse-json
        The inverse of --use-json.

    --nouse-syslog
        The inverse of --use-syslog.

    --nowatch-log-file
        The inverse of --watch-log-file.

    --syslog-log-facility SYSLOG_LOG_FACILITY
        Syslog facility to receive log lines. This option is ignored if log_config_append is set.

    --use-journal
        Enable journald for logging. If running in a systemd environment you may wish to enable journal support. Doing so will use the journal native protocol which includes structured metadata in addition to log messages.This option is ignored if log_config_append is set.

    --use-json
        Use JSON formatting for logging. This option is ignored if log_config_append is set.

    --use-syslog
        Use syslog for logging. Existing syslog format is DEPRECATED and will be changed later to honor RFC5424. This option is ignored if log_config_append is set.

    --version
        Show program's version number and exit

    --watch-log-file
        Uses logging handler designed to watch file system. When log file is moved or removed this handler will open a new log file with specified path instantaneously. It makes sense only if log_file option is specified and Linux platform is used. This option is ignored if log_config_append is set.

Websockify options

    --cert CERT
        Path to SSL certificate file.

    --daemon
        Run as a background process.

    --key KEY
        SSL key file (if separate from cert).

    --nodaemon
        The inverse of --daemon.

    --nosource_is_ipv6
        The inverse of --source_is_ipv6.

    --nossl_only
        The inverse of --ssl_only.

    --record RECORD
        Filename that will be used for storing websocket frames received and sent by a proxy service (like VNC, spice, serial) running on this host. If this is not set, no recording will be done.

    --source_is_ipv6
        Set to True if source host is addressed with IPv6.

    --ssl_only
        Disallow non-encrypted connections.

    --web WEB
        Path to directory with content which will be served by a web server.

VNC options

    --vnc-auth_schemes VNC_AUTH_SCHEMES
        The authentication schemes to use with the compute node. Control what RFB authentication schemes are permitted for connections between the proxy and the compute host. If multiple schemes are enabled, the first matching scheme will be used, thus the strongest schemes should be listed first.

    --vnc-novncproxy_host VNC_NOVNCPROXY_HOST
        IP address that the noVNC console proxy should bind to. The VNC proxy is an OpenStack component that enables compute service users to access their instances through VNC clients. noVNC provides VNC support through a websocket-based client. This option sets the private address to which the noVNC console proxy service should bind to.

    --vnc-novncproxy_port VNC_NOVNCPROXY_PORT
        Port that the noVNC console proxy should bind to. The VNC proxy is an OpenStack component that enables compute service users to access their instances through VNC clients. noVNC provides VNC support through a websocket-based client. This option sets the private port to which the noVNC console proxy service should bind to.

    --vnc-vencrypt_ca_certs VNC_VENCRYPT_CA_CERTS
        The path to the CA certificate PEM file The fully qualified path to a PEM file containing one or more x509 certificates for the certificate authorities used by the compute node VNC server.

    --vnc-vencrypt_client_cert VNC_VENCRYPT_CLIENT_CERT
        The path to the client key file (for x509) The fully qualified path to a PEM file containing the x509 certificate which the VNC proxy server presents to the compute node during VNC authentication.

    --vnc-vencrypt_client_key VNC_VENCRYPT_CLIENT_KEY
        The path to the client certificate PEM file (for x509) The fully qualified path to a PEM file containing the private key which the VNC proxy server presents to the compute node during VNC authentication.

Debugger options

    --remote_debug-host REMOTE_DEBUG_HOST
        Debug host (IP or name) to connect to. This command line parameter is used when you want to connect to a nova service via a debugger running on a different host. Note that using the remote debug option changes how Nova uses the eventlet library to support async IO. This could result in failures that do not occur under normal operation. Use at your own risk.

    --remote_debug-port REMOTE_DEBUG_PORT
        Debug port to connect to. This command line parameter allows you to specify the port you want to use to connect to a nova service via a debugger running on different host. Note that using the remote debug option changes how Nova uses the eventlet library to support async IO. This could result in failures that do not occur under normal operation. Use at your own risk.

FILES

    •   /etc/nova/nova.conf

    •   /etc/nova/rootwrap.conf

    •   /etc/nova/rootwrap.d/

SEE ALSO

nova-serialproxy(1), nova-spicehtml5proxy(1)

BUGS

    •   Nova bugs are managed at Launchpad

AUTHOR
openstack@lists.openstack.org

COPYRIGHT
2010-present, OpenStack Foundation